Bug 1970468 - rust-crossterm-0.25.0 is available
Summary: rust-crossterm-0.25.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-crossterm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rust SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2047902
Blocks: 2010046 2051961
TreeView+ depends on / blocked
 
Reported: 2021-06-10 14:14 UTC by Upstream Release Monitoring
Modified: 2022-11-25 15:28 UTC (History)
4 users (show)

Fixed In Version: rust-crossterm-0.25.0-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-25 15:28:53 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
Update to 0.25.0 (2.62 KB, patch)
2022-11-21 11:53 UTC, Trung Lê
no flags Details | Diff

Description Upstream Release Monitoring 2021-06-10 14:14:05 UTC
Latest upstream release: 0.20.0
Current version/release in rawhide: 0.19.0-1.fc35
URL: https://crates.io/crates/crossterm

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19131/

Comment 1 Upstream Release Monitoring 2021-08-23 18:17:45 UTC
Latest upstream release: 0.21.0
Current version/release in rawhide: 0.19.0-2.fc35
URL: https://crates.io/crates/crossterm

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19131/

Comment 2 Upstream Release Monitoring 2021-10-19 08:56:08 UTC
Latest upstream release: 0.22.1
Current version/release in rawhide: 0.20.0-1.fc36
URL: https://crates.io/crates/crossterm

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19131/

Comment 3 Upstream Release Monitoring 2022-02-06 14:30:09 UTC
Latest upstream release: 0.23.0
Current version/release in rawhide: 0.20.0-2.fc36
URL: https://crates.io/crates/crossterm

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/19131/

Comment 4 Upstream Release Monitoring 2022-03-15 22:17:42 UTC
Latest upstream release: 0.23.1
Current version/release in rawhide: 0.22.1-1.fc37
URL: https://crates.io/crates/crossterm

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/19131/

Comment 5 Upstream Release Monitoring 2022-04-04 08:21:14 UTC
Latest upstream release: 0.23.2
Current version/release in rawhide: 0.22.1-1.fc37
URL: https://crates.io/crates/crossterm

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/19131/

Comment 6 Upstream Release Monitoring 2022-07-02 20:55:25 UTC
Releases retrieved: 0.24.0
Upstream release that is considered latest: 0.24.0
Current version/release in rawhide: 0.22.1-1.fc37
URL: https://crates.io/crates/crossterm

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/19131/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/rust-crossterm

Comment 7 Upstream Release Monitoring 2022-08-10 21:13:43 UTC
Releases retrieved: 0.25.0
Upstream release that is considered latest: 0.25.0
Current version/release in rawhide: 0.22.1-2.fc37
URL: https://crates.io/crates/crossterm

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/19131/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/rust-crossterm

Comment 8 Fedora Admin user for bugzilla script actions 2022-08-31 01:55:30 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 9 Fedora Admin user for bugzilla script actions 2022-08-31 13:36:59 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 10 Trung Lê 2022-11-21 11:22:04 UTC
Could we please bump this package?

For your convenience, I have prepared a patch https://gist.github.com/runlevel5/a78544c5db0c942075892c434d89b022

Comment 11 Trung Lê 2022-11-21 11:53:38 UTC
Created attachment 1926072 [details]
Update to 0.25.0

Comment 12 Fabio Valentini 2022-11-21 20:53:04 UTC
It's not as simple as just bumping the version, sadly. I'll need to check with other dependent packages (below-view, comfy-table, coolor, gitui, lino, lscolors, lsd, navi, and tui), which will probably lead to us having to package both the current v0.22 and v0.25. Please be patient.

Comment 13 Fedora Update System 2022-11-25 15:25:44 UTC
FEDORA-2022-6df35c0879 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6df35c0879

Comment 14 Fedora Update System 2022-11-25 15:28:53 UTC
FEDORA-2022-6df35c0879 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.